libGL error: failed to load driver: radeonsi

Get answers & advice for all of your 3D printing & Free Software needs here!
Post Reply
User avatar
HarlemSquirrel
Posts: 9
Joined: Sat May 13, 2017 9:17 pm
Contact:

libGL error: failed to load driver: radeonsi

Post by HarlemSquirrel » Thu Jul 25, 2019 12:01 pm

As of cura-lulzbot 3.6.15 I am unable to launch on ArchLinux with GNOME. Version 3.6.13 is working fine.

I haven't updated the PKGBUILD https://aur.archlinux.org/packages/cura-lulzbot/ yet, but it's failed like so

Code: Select all

➤  cura-lulzbot                                                                                                                                         1 ↵
[(139860966973632)-MainThread] cura.CuraApplication.__init__ [220]: QtApplication Install Prefix : "/usr/share"
This application failed to start because it could not find or load the Qt platform plugin "wayland"
in "".

Available platform plugins are: linuxfb, minimal, offscreen, vnc, xcb.

Reinstalling the application may fix this problem.
Fatal Python error: Aborted

Current thread 0x00007f33eb4120c0 (most recent call first):
  File "/home/buildbot/slave/CuraLEDevel-debian-stretch-64/build/build/inst/lib/python3/dist-packages/UM/Qt/QtApplication.py", line 78 in __init__
  File "/home/buildbot/slave/CuraLEDevel-debian-stretch-64/build/build/inst/lib/python3/dist-packages/cura/CuraApplication.py", line 248 in __init__
  File "/home/buildbot/slave/CuraLEDevel-debian-stretch-64/build/build/inst/lib/python3/dist-packages/UM/Application.py", line 347 in getInstance
  File "/home/buildbot/slave/CuraLEDevel-debian-stretch-64/build/build/inst/bin/cura-lulzbot", line 98 in <module>
  File "/home/buildbot/slave/CuraLEDevel-debian-stretch-64/build/build/inst/lib/python3.5/site-packages/cx_Freeze-6.0b1-py3.5-linux-x86_64.egg/cx_Freeze/initscripts/Console.py", line 26 in run
  File "/home/buildbot/slave/CuraLEDevel-debian-stretch-64/build/build/inst/lib/python3.5/site-packages/cx_Freeze-6.0b1-py3.5-linux-x86_64.egg/cx_Freeze/initscripts/__startup__.py", line 14 in run
/usr/bin/cura-lulzbot: line 2:  6731 Aborted                 (core dumped) LD_LIBRARY_PATH=/usr/lib/gcc/x86_64-pc-linux-gnu/6.5.0:/usr/share/cura-lulzbot:/usr/share/cura-lulzbot/lib QT_PLUGIN_PATH=/usr/share/cura-lulzbot/qt/plugins QML2_IMPORT_PATH=/usr/share/cura-lulzbot/qml:/usr/share/cura-lulzbot/qt/qml /usr/share/cura-lulzbot/cura-lulzbot "$@"
If I set QT_QPA_PLATFORM to "minimal", "offscreen", or blank, I get libGL errors

Code: Select all

➤  QT_QPA_PLATFORM='' cura-lulzbot                                                                                                                    130 ↵
[(140667195523264)-MainThread] cura.CuraApplication.__init__ [220]: QtApplication Install Prefix : "/usr/share"
[(140667195523264)-MainThread] UM.Application.__init__ [94]: InstallPrefix: /usr/share, ApplicationName: cura-lulzbot
[(140667195523264)-MainThread] UM.Resources.__initializeStoragePaths [348]: Initializing storage paths
[(140667195523264)-MainThread] UM.Resources.__initializeStoragePaths [356]: ...StorageRootPath is /home/hs/.config
[(140667195523264)-MainThread] UM.Resources.__initializeStoragePaths [357]: ...StorageDirName is cura-lulzbot/3.6
[(140667195523264)-MainThread] UM.Resources.__initializeStoragePaths [361]: Config storage path is /home/hs/.config/cura-lulzbot/3.6
[(140667195523264)-MainThread] UM.Resources.__initializeStoragePaths [369]: Data storage path is /home/hs/.local/share/cura-lulzbot/3.6
[(140667195523264)-MainThread] UM.Resources.__initializeStoragePaths [381]: Cache storage path is /home/hs/.cache/cura-lulzbot/3.6
[(140667195523264)-MainThread] UM.View.GL.OpenGLContext.detectBestOpenGLVersion [103]: Trying OpenGL context 4.1...
libGL error: MESA-LOADER: failed to open radeonsi (search paths /usr/lib/dri)
libGL error: failed to load driver: radeonsi
libGL error: MESA-LOADER: failed to open radeonsi (search paths /usr/lib/dri)
libGL error: failed to load driver: radeonsi
libGL error: MESA-LOADER: failed to open swrast (search paths /usr/lib/dri)
libGL error: failed to load driver: swrast
[(140667195523264)-MainThread] UM.View.GL.OpenGLContext.setContext [33]: Failed creating OpenGL context (4, 1, core=True)
[(140667195523264)-MainThread] UM.View.GL.OpenGLContext.detectBestOpenGLVersion [116]: Failed to create OpenGL context 4.1.
[(140667195523264)-MainThread] UM.View.GL.OpenGLContext.detectBestOpenGLVersion [119]: Trying OpenGL context 2.0...
[(140667195523264)-MainThread] UM.View.GL.OpenGLContext.setContext [33]: Failed creating OpenGL context (2, 0, core=False)
[(140667195523264)-MainThread] UM.View.GL.OpenGLContext.detectBestOpenGLVersion [136]: Failed to create OpenGL context 2.0.
[(140667195523264)-MainThread] UM.Qt.QtApplication.__init__ [85]: Startup failed because OpenGL version probing has failed: tried to create a 2.0 and 4.1 context. Exiting
Here's some system info.

**Motherboard**
Gigabyte Technology Co., Ltd.
X470 AORUS ULTRA GAMING-CF
BIOS Version: F30

**CPU Hardware**
x86_64
AMD Ryzen 7 2700X Eight-Core Processor

**GPU Hardware**
OpenGL renderer string: Radeon RX Vega (VEGA10, DRM 3.32.0, 5.2.2-arch1-1-ARCH, LLVM 8.0.1)
0b:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Vega 10 XL/XT [Radeon RX Vega 56/64] [1002:687f] (rev c1)

**Software**
Arch Linux - rolling (n/a) x86_64
Linux kernel 5.2.2-arch1-1-ARCH
OpenGL version string: 4.5 (Compatibility Profile) Mesa 19.1.3
:geek:


User avatar
HarlemSquirrel
Posts: 9
Joined: Sat May 13, 2017 9:17 pm
Contact:

Re: libGL error: failed to load driver: radeonsi

Post by HarlemSquirrel » Thu Jul 25, 2019 9:44 pm

Ah, actually it's looking like a rollback to version 3.6.13 is not fixing the issue so I suspect it is an OS package that is to blame here.
I opened https://bbs.archlinux.org/viewtopic.php ... 1#p1855731
:geek:

Post Reply